package com.ElyStudio.leGaou.models;

public class Quiz {

    private int id;
    private int categoryId;
    private String name;
    private String icon;
    private int entryFee;
    private float prizePerQuestion;
    private int colorCode;
    private int priority;
    private int questionLimit;
    private int livesAvailable;
    private int easy;
    private int medium;
    private int hard;
    private int time;

    public Quiz() {
    }

    public Quiz(int id, int categoryId, String name, String icon, int entryFee, float prizePerQuestion, int colorCode, int priority, int questionLimit, int livesAvailable, int easy, int medium, int hard, int time) {
        this.id = id;
        this.categoryId = categoryId;
        this.name = name;
        this.icon = icon;
        this.entryFee = entryFee;
        this.prizePerQuestion = prizePerQuestion;
        this.colorCode = colorCode;
        this.priority = priority;
        this.questionLimit = questionLimit;
        this.livesAvailable = livesAvailable;
        this.easy = easy;
        this.medium = medium;
        this.hard = hard;
        this.time = time;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(int categoryId) {
        this.categoryId = categoryId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public int getEntryFee() {
        return entryFee;
    }

    public void setEntryFee(int entryFee) {
        this.entryFee = entryFee;
    }

    public float getPrizePerQuestion() {
        return prizePerQuestion;
    }

    public void setPrizePerQuestion(float prizePerQuestion) {
        this.prizePerQuestion = prizePerQuestion;
    }

    public int getColorCode() {
        return colorCode;
    }

    public void setColorCode(int colorCode) {
        this.colorCode = colorCode;
    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

    public int getQuestionLimit() {
        return questionLimit;
    }

    public void setQuestionLimit(int questionLimit) {
        this.questionLimit = questionLimit;
    }

    public int getLivesAvailable() {
        return livesAvailable;
    }

    public void setLivesAvailable(int livesAvailable) {
        this.livesAvailable = livesAvailable;
    }

    public int getEasy() {
        return easy;
    }

    public void setEasy(int easy) {
        this.easy = easy;
    }

    public int getMedium() {
        return medium;
    }

    public void setMedium(int medium) {
        this.medium = medium;
    }

    public int getHard() {
        return hard;
    }

    public void setHard(int hard) {
        this.hard = hard;
    }

    public int getTime() {
        return time;
    }

    public void setTime(int time) {
        this.time = time;
    }
}
